Subject: Re: Emailing: Sonia 1, Sonia 2, Sonia 3
From: "Steve Bamford" <[email-masked]>
To: "Youngerman" <[email-masked]>
Date: Sun, 14 Apr 2002 01:23:18 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Youngerman 
  To: Steve Bamford 
  Sent: Friday, March 15, 2002 4:17 PM
  Subject: Emailing: Sonia 1, Sonia 2, Sonia 3

  Hello Steve!
   
    As promised, here is another Japanese subject in 1/72 scale for the gallery.
   
  This is the old but still great little kit of Mitsubishi's Ki-51 "Sonia".  It is a re-box by Hasegawa of Mania's kit with Aeromaster decals included this time around. The cockpit detail level is very good for this scale and builds up very nicely out of the box. The only thing I added to my kit were some seatbelts. The kit goes together very well with fit being generally excellent. The fuselage and belly windows must be opened up and care is needed here for a good fit of the clear parts. 
    I used Aeromaster paints throughout on the kit with good results I felt. My aircraft was painted to represent a Sonia operating in New Guinea during 1944. The Aeromester decals were used with no problems. The squiggle paintwork was the most difficult part of the build. Photos of such schemes seem to show the striping was hand painted and not sprayed on. I applied my paint the same way with a fairly thinned Dark Army Green and a small brush. A few touch ups were needed for color consistancy but I was happy with the result. This technique would be difficult in a larger scale or a large aircraft, but it worked well here.
   
  Joe